function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Entity, PrimaryColumn, Column, ManyToOne, JoinColumn } from "typeorm";
import { id } from "../id.js";
import { Note } from "./note.js";
export let HtmlNoteCacheEntry = class HtmlNoteCacheEntry {
    noteId;
    note;
    updatedAt;
    content;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", Object)
], HtmlNoteCacheEntry.prototype, "noteId", void 0);
_ts_decorate([
    ManyToOne((type)=>Note, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], HtmlNoteCacheEntry.prototype, "note", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        nullable: true
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], HtmlNoteCacheEntry.prototype, "updatedAt", void 0);
_ts_decorate([
    Column("text", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], HtmlNoteCacheEntry.prototype, "content", void 0);
HtmlNoteCacheEntry = _ts_decorate([
    Entity()
], HtmlNoteCacheEntry);
